| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# cswinCtoA Struct Reference

Small helper to convert an UTF-8 to an ANSI string, useful when passing arguments to a function. More...

`#include <csutil/win32/wintools.h>`

List of all members.

## Public Member Functions
| cswinCtoA (const char *ws, UINT codePage=CP_ACP)
| Construct from an ANSI string.
| operator const char * () const
| Return the string passed in on construction as an ANSI string.
| ~cswinCtoA ()
| Destruct, free up memory.

## Detailed Description

Small helper to convert an UTF-8 to an ANSI string, useful when passing arguments to a function.

Remarks:
  This class provides functionality specific to the Win32 platform. To ensure that code using this functionality compiles properly on all other platforms, the use of the class and inclusion of the header file should be surrounded by appropriate ' '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 118 of file wintools.h.

## Constructor & Destructor Documentation

cswinCtoA::cswinCtoA | ( | const char * | ws,
|  | UINT | codePage = `CP_ACP` |
| ) |  |  | `[inline]`

Construct from an ANSI string.

Definition at line 124 of file wintools.h.

References cswinWideToAnsi().

cswinCtoA::~cswinCtoA | ( |  | ) | `[inline]`

Destruct, free up memory.

Definition at line 129 of file wintools.h.

## Member Function Documentation

cswinCtoA::operator const char * | ( |  | ) | const`[inline]`

Return the string passed in on construction as an ANSI string.

Definition at line 132 of file wintools.h.

The documentation for this struct was generated from the following file:

- csutil/win32/wintools.h